:root {
  --primary-color: #f7f7f7;
  --secondary-color: #212121;
  --lightgrey: #efefef;
  --darkgrey: #646464;
  /* --darkblue: #1b2a39; */
  --darkblue: #1C2B39;
  --teal:#2cbec3; /* sea-glass */
}
.body {
  font-family: 'Inter', sans-serif;
  font-weight:400; /*--Inter Regular--*/
  font-style:normal;
  font-size:16px;
  line-height:1.4375;
  color:#1b2a39;
}

.lead {font-size:1.3em;}
/* ---------------------------------
    Navbar styles 
   --------------------------------- */
.navbar-section {
  padding-top: 0;
  padding-bottom: 0;
}

/* Hide logo and account name on mobile */
.account-logo .logo {
  display: none; 
  max-height: 4rem;
}

span.account-name {
  font-size: 1.6rem;
  display: none;
}

@media (min-width: 62em) {
  /* Display logo and account name on desktop */
  .navbar-section {
    height: 12rem;}
  .account-logo .logo,
  span.account-name {
    display:block;
	height:10rem;
    max-height:10rem;
    padding:1rem 0;
  }	
}/* Footer styles */
/* ---------------------
   Main Elements
   --------------------- */
.body {
  background-color: var(--primary-color);
}
.main {margin-top:10rem;}
.preview-mode .main {padding-top: 6rem;}

.welcome-paragraph {
  font-size:2rem;
}

section.intro,
section#intro,
.center {
  text-align:center;
}

mark {
	padding: 1rem 2rem;
	background-color: #f9d147;
    color: black;
}
.whitebg {background-color:#fff;}
.blackbg {background-color:#000;color:#fff;}
.red {color:red;}

/* fix code wrapping on mobile */
pre {
font-family: monospace,monospace;
font-size: 1em;
max-width: 100%;
overflow: auto;
white-space: normal;
}

/* ----------------
   Search widget
   ---------------- */

.search-section {
  max-width: 120rem;
  margin: 5rem auto; 	
}

.search-label{
  display: none;
}

.filters{
  justify-content: center;
}

.search-grid-section .page-actions, 
.search-grid-section .grid, 
.search-grid-section .assets-pagination {
  background-color: var(--primary-color);
  padding-bottom:4rem;  
}
.change-grid-view .icon-text {
display: none;
}

.file-icon::before{
  border-color: var(--primary-color) var(--primary-color) rgba(255, 255, 255, .3) rgba(255, 255, 255, .35);
}

/* ----------------
   Masonry view 
   ----------------- */
.masonry-asset {
  margin-bottom: 2rem;
  background-color: white;
  padding: 0;
  float: left;
}
.masonry-asset:hover {opacity:0.6;}
.masonry-asset .asset-grid-icon {position:relative;}
.masonry-asset .asset-grid-name {margin-left:0;}

/* ------------
   Buttons 
   ------------ */

.normal-button {
  color: white;
  background-color: black;
  padding: 1rem 2rem;
}
.cancel-button, .cancel-my-account-button {color:red; text-decoration:underline; background-color:white;}

.button-with-border{
    border-color: black;
}
.edit-profile-button {width:100%;}
.normal-button.save-profile-changes-button,
.normal-button.save-profile-changes-button  {
padding: 1rem 2rem;
}

a:hover,
.asset-add-to-basket-button:hover,
.clear-search-btn:hover{
  opacity:0.6;
}

/* ------------
   Gallery 
   ------------ */

/*-- Mobile --*/
.gallery-link,
.gallery-image {
  height: 8rem;
}

/*-- Desktop --*/
@media (min-aspect-ratio: 1/1) {
  .gallery-link,
  .gallery-image {
    height: 16rem;
  }
}


/* --------------
   Home Page 
   -------------- */
.intro-logo {
	max-width:20rem;
}

/* Albums widget */
.album-cover,.album-with-no-cover {border:5px solid #ccc;}
.album-cover:hover, .album-with-no-cover:hover {border:5px solid #f9d147;}
/* new album select state */
a.album-selected {
  border: none;
  box-shadow: none;
}
a.album-selected img, a.album-selected div.album-with-no-cover {
  border:5px solid #f9d147;
  box-shadow: 0 15px 25px 1px #ccc;
}
a.album-selected span.album-title {
  color:#000;
  font-weight:bold;
}
/* end album select state */

/* custom social links article */
.social-links {margin-top:5em;}
.social-links a {font-size:2rem;padding:1rem 2rem;}
/* end */

/* fix download form terms field separation issue */
.form-checkbox.terms {
margin: 5rem 0;
}

/* show the Search label and the And/Or toggle in the Search Grid */
label.search-label {
  display: block;
}/* Grid assets and Asset details page */

/* content additions */
.asset-info span:not(.asset-id, .asset-source):before,
.AssetView .asset-size:before,
.AssetView .asset-dimensions:before,
.AssetView .asset-word-count:before {
  content: ' • ';
}

.AssetView .asset-latitude:before {
  content:'Latitude: ';
}

.AssetView .asset-longitude:before {
  content:'Longitude: ';
}

.asset-source:before {
  content: 'src: ';
}

.asset-licence-value:before {
  content: ' -';
  margin-right: 0.5rem;
}

/* Hidden */
.asset-details-section .asset-type,
.asset-tags-title,
.asset-size-title,
.asset-dimensions-title,
.asset-created-at,
.asset-id-title,
.asset-licence-title,
.asset-word-count-title,
.collections-section-title {
  display: none;
}

/* Layout */

.asset-page-wrapper {
  padding: 2rem 2em;
}
@media (min-width:768px) {
  .asset-page-wrapper {
    padding: 6rem 6em;
  }
}

.asset-page-wrapper .section {
  padding: 1rem 0;
}

.asset-details-section {
  display: flex;
  flex-wrap: wrap;
  column-gap: 0.5rem;
  row-gap: 0.9rem;
}

.asset-details-section article {
  flex: 0 0 100%;
}                                                                                                       

.asset-details-section .asset-size,
.asset-details-section .asset-dimensions,
.asset-details-section .asset-extension,
.asset-details-section .asset-id,
.asset-details-section .asset-word-count {
  flex: 0 0 auto;
}

.related-assets-section {
  border-top: 1px dotted color-mix(in srgb, var(--color-body-text) 20%, transparent);
  padding-bottom: 4rem;
}

/* Grid area ordering */ 

.AssetView .asset-name {
  order: 1;
  width: 100%;
}

.AssetView .asset-type-icon {
  order: 2;
}

.AssetView .asset-id {
  order: 3;
}

.AssetView .asset-word-count {
  order: 4;
}

.AssetView .asset-size {
  order: 5;
}

.AssetView .asset-dimensions {
  order: 6;
}

.AssetView .asset-description {
  order: 7;
}

.AssetView .asset-ai-description {
  order: 7;
}

.AssetView .asset-licence {
  order: 8;
}

.AssetView .asset-terms-of-use {
  order: 9;
  padding-bottom: 1rem;
}

.AssetView .asset-expiry-date {
  order: 10;
}

.AssetView .asset-created-at {
  order: 12;
}

.AssetView .asset-credit {
  order: 13;
}

.AssetView .asset-usage {
  order: 14;
}

.AssetView .asset-reference {
  order: 15;
}

.AssetView .asset-account {
  order: 15;
}

.AssetView .asset-location {
  order: 16;
}

.asset-page-wrapper {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "details details details"  "tags tags tags" "actions actions actions";
}
.asset-page-wrapper.post {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "tags tags tags" "actions actions actions";
}

@media (min-width:36em) {
  .asset-page-wrapper .section {padding: 0;}
  .asset-page-wrapper .asset-tags-section {padding: 3rem 0;}
  .asset-proxy-section {margin-right: 5rem;}
  .asset-page-wrapper {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy details" "proxy proxy tags";
  }
  .asset-page-wrapper.post {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy proxy" "tags tags tags";
  }
}
/* Sign Up Page styles */
.new-account-section .form-section {
    background-color:transparent;
    padding:0;
  }

.new-account-hint {font-size:2.5rem;}

.new-account-section .form-section form {
  background-color:antiquewhite;
  border-radius:1em;
  padding:1em;
}

@media screen and (min-width: 75em) {
  .new-account-section .form-section {
    width: 33vw;
    min-width:30em;
    margin:1em auto;
    background-color:transparent;
  }
  .new-account-section .form-section form {
    background-color:antiquewhite;
    border-radius:1em;
    padding:2em;
  }


  .new-account-section .new-account-embeded-image {
    padding:3rem;
    max-width:66vw;
  }
  
  blockquote {padding:2em;}
  
  blockquote span {
    display:block;
    width:100%;
    font-size:2.2rem;
    font-weight:bold;
  }
   blockquote cite {
  	 display:block;
     width:100%;
     font-size:1em;
     text-align:center;
  }	
  
  .signup-faq {margin:2.5%; text-align:left!important; padding-top:1em;}
}
.desktop {display:none;}

@media screen and (min-width: 36em){
  .desktop {display:block;}
  .mobile {display:none;}
  .albums-horizontal-grid .album-wrapper {
	max-width:100%;
    overflow-wrap:normal;
    flex-wrap:wrap;
  }
}

/* faq styles */
dl {
column-count: 1;
column-gap: 0rem;
}

.fw dl {
column-count: 1;
column-gap: 0rem;
}
@media (min-width:768px) {
  dl {
  column-count: 2;
  column-gap: 5rem;
  }
  .fw dl {
  column-count: 3;
  column-gap: 5rem;
  }
}

dt {font-weight:bold;}
dt.subtitle {border-bottom: 2px solid #000;margin:2rem 0;}
dt.subtitle:first-child {border-bottom: 2px solid #000;margin:0 0 2rem 0;}
dd {margin-bottom:1rem;}.bk-wall .brandkit-logo, .bk-wall .logo {
    max-height: 20rem;
}

@media screen and (min-width: 36em) {
    .bk-wall {
        /* max-width: 60rem;*/
        margin: 10em auto 4em auto;
        padding:3rem 6rem
    }
}

@media screen and (min-width: 48em) {
    .bk-wall {
        margin: 10em 4em;
    }
}
/* html section */
.html-section {
  width:100vw;
  padding-top:6rem;
  padding-left:2em;
  padding-right:2em;
  padding-bottom:6em;
}
.tight-bottom {padding-bottom:0;}
.tight-top {padding-top:0;}
.tight-left {padding-left:0;}
.tight-right {padding-right:0;}

.html-section img {margin:2em auto;}
.html-section p img {margin:0 auto;}
.html-section:first-child {padding-top:12rem;}

@media (min-width:768px) {
  .html-section {
    padding-left:6rem; 
    padding-right:6rem;  
  }
}  
@media (min-width:1040px) {
  .html-section {
    padding-left:6rem; 
    padding-right:6rem;  
  }
}  
@media (min-width:1200px) {
  .html-section {
    padding-left:calc(50% - 550px); 
    padding-right:calc(50% - 550px);   
  }
}  
@media (min-width:1600px) {
  .html-section {
    padding-left:calc(50vw - 720px); 
    padding-right:calc(50vw - 720px);  
  }
}  
@media (min-width:1920px) {
  .html-section {
    padding-left:calc(50% - 720px); 
    padding-right:calc(50% - 720px);  
  }
} 


/* full width section */
.fw {padding:4em 0;}

@media (min-width:77rem) {
  .fw {
    width:100vw;
    padding:4em 0;
  } 
}

/* full height section */
.fh {
  padding-top:0;
  padding-bottom:0;
}

/* two column grids used throughout site */
.two-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap:2em;
}
.two-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}

@media (min-width:62em) {
  .two-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 6em;
    grid-row-gap:6em;
  }
  .two-col-grid h1, .two-col-grid h2 {
  }
}  
/* end 2 col grid *//* albums section */
.albums-section {
  width:100vw;
  padding-top:2rem;
  padding-left:2em;
  padding-right:2em;
  padding-bottom:2em;
}

.albums-section img {margin:0 auto;}
.albums-section p img {margin:0 auto;}
.albums-section:first-child {padding-top:12rem;}

@media (min-width:768px) {
  .albums-section {
    margin:auto;
    padding-left:6rem; 
    padding-right:6rem;
    padding-left:calc(50% - 300px); 
    padding-right:calc(50% - 300px);
  }
}  
@media (min-width:1040px) {
  .albums-section {
    padding-left:6rem; 
    padding-right:6rem; 
    padding-left:calc(50% - 450px); 
    padding-right:calc(50% - 450px);  
  }
}  
@media (min-width:1200px) {
  .albums-section {
    padding-left:calc(50% - 450px); 
    padding-right:calc(50% - 450px);   
  }
}  
@media (min-width:1600px) {
  .albums-section {
    padding-left:calc(50vw - 600px); 
    padding-right:calc(50vw - 600px);  
  }
}  
@media (min-width:1920px) {
  .albums-section {
    padding-left:calc(50% - 600px); 
    padding-right:calc(50% - 600px);  
  }
}  


/* Albums widget */
.album-cover,.album-with-no-cover {border:5px solid inherit;}
.album-cover:hover, .album-with-no-cover:hover {border:5px solid var(--teal);}
/* new album select state */
a.album-selected {
  border: none;
  box-shadow: none;
}
a.album-selected img, a.album-selected div.album-with-no-cover {
  border:5px solid var(--teal);
  box-shadow: 0 15px 25px 1px #ccc;
}
a.album-selected span.album-title {
  color:var(--teal);
}
/* end album select state */